from django.urls import include, path

from . import views

urlpatterns = [
    path('', views.create_playlist, name='create_playlist'),
    path('break/', include([
        path('', views.break_view, name='break'),
        path('add/', views.add_break_content, name='add_break_content'),
    ])),
    path('may_advance/', views.may_advance, name='may_advance'),
    path('session/', views.session, name='session'),
    path('<slug:playlist>/', include([
        path('', views.playlist, name='playlist'),
        path('start', views.start_session, name='start_session'),
        path('<int:offset>/', views.view_artist, name='view_artist'),
    ])),
]
