from django import forms
from django.conf import settings

class InsertForm(forms.Form):
    name = forms.CharField()
    rating = forms.IntegerField(max_value=10, min_value=1, required=False)

InsertFormSet = forms.formset_factory(InsertForm)

class RateArtistForm(forms.Form):
    rating = forms.ChoiceField(choices=settings.RATING_CHOICES, required=False, widget=forms.RadioSelect)
