from django.urls import include, path

from . import views

urlpatterns = [
    path('create_token/', views.create_token, name='create_token'),
    path('export/<slug:session>/', views.export, name='export'),
    path('insert/<slug:session>/', views.insert, name='insert'),
    path('join/<slug:session>/', views.join_session, name='join_session'),
    path('participate/<slug:token>/', views.participate, name='participate'),
    path('<slug:playlist>/', include([
        path('', views.artist, name='current_artist'),
        path('<int:offset>/', views.artist, name='artist'),
    ])),
]
